      SUBROUTINE IBMI2(INPUT,OUTPUT,N)
C
C *** ROUTINE CONVERTS INTEGER*2 FROM IBM TO VAX FORMAT
C *** IRT : JUNE 12,1979
C
      INTEGER*2 INPUT(N),OUTPUT(N),WORD
      LOGICAL*1 BYTE(2),TEMP
      EQUIVALENCE (BYTE,WORD)
C
      DO 10 I =1,N
      WORD=INPUT(I)
C *** INTERCHANGE BYTES
      TEMP=BYTE(1)
      BYTE(1)=BYTE(2)
      BYTE(2)=TEMP
C *** SET OUTPUT VALUE
      OUTPUT(I)=WORD
10    CONTINUE
      RETURN
      END
